Bug 994166 - ddd-debuginfo-3.3.12-13 does not contain sources
ddd-debuginfo-3.3.12-13 does not contain sources
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ddd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2013-08-06 11:51 EDT by Ville Skyttä
Modified: 2013-08-09 09:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 09:19:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Do not lose multiple -g* args (946 bytes, patch)
2013-08-08 16:39 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2013-08-06 11:51:37 EDT
ddd-debuginfo-3.3.12-13 does not contain sources. Didn't immediately notice what might be causing this, the usual suspect of -g* not being there doesn't seem to be it according to the build log.
Comment 1 Gwyn Ciesla 2013-08-08 13:56:01 EDT
Actually it was missing, and moving away from the %configure macro fixed it.  Bizarre.
Comment 2 Ville Skyttä 2013-08-08 16:39:35 EDT
Created attachment 784593 [details]
Do not lose multiple -g* args

Ah, I thought -grecord-gcc-switches implies -g.

Anyway, no need to move away from %configure, upstream acinclude.m4 has a bug that forgets all -g* except the last one, fix attached. I suggest reverting the previous change and applying this one instead.
Comment 3 Gwyn Ciesla 2013-08-09 09:19:14 EDT
Much more elegant.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.